Debian Bug report logs - #619284
Chapter 7.7 of the Policy disagrees with reality

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Tue, 22 Mar 2011 17:15:02 UTC

Severity: wishlist

Merged with 345619, 374029, 604397

Found in versions debian-policy/3.6.2.1, debian-policy/3.9.1.0

Fixed in version debian-policy/3.9.4.0

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Robert Luberda <robert@debian.org>:
Bug#619284; Package src:ispell. (Tue, 22 Mar 2011 17:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to Robert Luberda <robert@debian.org>. (Tue, 22 Mar 2011 17:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ispell: FTBFS: No rule to make target `…/american-english-insane', needed by `american.xxl+.mwl'
Date: Tue, 22 Mar 2011 18:13:26 +0100
Source: ispell
Version: 3.3.02-2
Severity: serious
Justification: FTBFS

Hi,

your package FTBFS everywhere:
| /usr/bin/make -f debian/rules american.xxl+.mwl british.xxl+.mwl
| make[2]: *** No rule to make target `/usr/share/dict/american-english-insane', needed by `american.xxl+.mwl'.  Stop.
| make[2]: Entering directory `/build/buildd-ispell_3.3.02-2-amd64-BXUVbi/ispell-3.3.02'
| make[2]: Leaving directory `/build/buildd-ispell_3.3.02-2-amd64-BXUVbi/ispell-3.3.02'
| make[1]: *** [override_dh_auto_build] Error 2
| make[1]: Leaving directory `/build/buildd-ispell_3.3.02-2-amd64-BXUVbi/ispell-3.3.02'
| make: *** [build] Error 2

Full build logs:
  https://buildd.debian.org/status/package.php?p=ispell&suite=experimental

KiBi.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#619284; Package src:ispell. (Tue, 22 Mar 2011 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Luberda <robert@debian.org>:
Extra info received and forwarded to list. (Tue, 22 Mar 2011 22:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 619284@bugs.debian.org (full text, mbox):

From: Robert Luberda <robert@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 619284@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#619284: ispell: FTBFS: No rule to make target `…/american-english-insane', needed by `american.xxl+.mwl'
Date: Tue, 22 Mar 2011 23:32:03 +0100
reassign 619284 sbuild 0.60.5
retitle 619284 Doesn't install Build-Depends-Indep for build target
affects 619284 ispell
thanks

Cyril Brulebois writes:

Hi,

> your package FTBFS everywhere:

I compiled it successfully before uploading.

> | /usr/bin/make -f debian/rules american.xxl+.mwl british.xxl+.mwl
> | make[2]: *** No rule to make target `/usr/share/dict/american-english-insane', needed by `american.xxl+.mwl'.  Stop.

The file is provided by wamerican-insane, which is mentioned in
Build-Depends-Indep, however the package wasn't installed.

Quoting the Debian Policy, chapter 7.7:

  build, build-indep, binary, and binary-indep

     The Build-Depends, Build-Conflicts, Build-Depends-Indep, and
Build-Conflicts-Indep fields must be satisfied when these targets are
invoked.

(In fact the build should fail much earlier; there're a few lines similar to
cat: /usr/share/dict/american-english-small: No such file or directory
in the logs, this seems to be a bug in upstream Makefile).


Regards,
robert




Bug reassigned from package 'src:ispell' to 'sbuild'. Request was from Robert Luberda <robert@debian.org> to control@bugs.debian.org. (Tue, 22 Mar 2011 22:36:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions ispell/3.3.02-2. Request was from Robert Luberda <robert@debian.org> to control@bugs.debian.org. (Tue, 22 Mar 2011 22:36:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 0.60.5. Request was from Robert Luberda <robert@debian.org> to control@bugs.debian.org. (Tue, 22 Mar 2011 22:36:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'Doesn't install Build-Depends-Indep for build target' from 'ispell: FTBFS: No rule to make target `…/american-english-insane', needed by `american.xxl+.mwl'' Request was from Robert Luberda <robert@debian.org> to control@bugs.debian.org. (Tue, 22 Mar 2011 22:36:08 GMT) Full text and rfc822 format available.

Added indication that 619284 affects ispell Request was from Robert Luberda <robert@debian.org> to control@bugs.debian.org. (Tue, 22 Mar 2011 22:36:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#619284; Package sbuild. (Tue, 22 Mar 2011 22:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Tue, 22 Mar 2011 22:48:03 GMT) Full text and rfc822 format available.

Message #25 received at 619284@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Robert Luberda <robert@debian.org>, 619284@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>, control@bugs.debian.org
Subject: Re: Bug#619284: ispell: FTBFS: No rule to make target `…/american-english-insane', needed by `american.xxl+.mwl'
Date: Tue, 22 Mar 2011 23:45:13 +0100
reassign 619284 ispell
kthxbye

On Tue, Mar 22, 2011 at 23:32:03 +0100, Robert Luberda wrote:

> reassign 619284 sbuild 0.60.5
> retitle 619284 Doesn't install Build-Depends-Indep for build target
> affects 619284 ispell
> thanks
> 
> Cyril Brulebois writes:
> 
> Hi,
> 
> > your package FTBFS everywhere:
> 
> I compiled it successfully before uploading.
> 
> > | /usr/bin/make -f debian/rules american.xxl+.mwl british.xxl+.mwl
> > | make[2]: *** No rule to make target `/usr/share/dict/american-english-insane', needed by `american.xxl+.mwl'.  Stop.
> 
> The file is provided by wamerican-insane, which is mentioned in
> Build-Depends-Indep, however the package wasn't installed.
> 
> Quoting the Debian Policy, chapter 7.7:
> 
>   build, build-indep, binary, and binary-indep
> 
>      The Build-Depends, Build-Conflicts, Build-Depends-Indep, and
> Build-Conflicts-Indep fields must be satisfied when these targets are
> invoked.
> 
> (In fact the build should fail much earlier; there're a few lines similar to
> cat: /usr/share/dict/american-english-small: No such file or directory
> in the logs, this seems to be a bug in upstream Makefile).
> 
Policy disagrees with reality (longstanding issue).  Packages needed for
the 'build' target need to be in Build-Depends.

Cheers,
Julien




Bug reassigned from package 'sbuild' to 'ispell'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 22 Mar 2011 22:48:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 0.60.5. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 22 Mar 2011 22:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Robert Luberda <robert@debian.org>:
Bug#619284; Package ispell. (Wed, 23 Mar 2011 00:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Robert Luberda <robert@debian.org>. (Wed, 23 Mar 2011 00:18:06 GMT) Full text and rfc822 format available.

Message #34 received at 619284@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Julien Cristau <jcristau@debian.org>, 619284@bugs.debian.org
Cc: Robert Luberda <robert@debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: [buildd-tools-devel] Bug#619284: ispell: FTBFS: No rule to make target `…/american-english-insane', needed by `american.xxl+.mwl'
Date: Wed, 23 Mar 2011 00:15:25 +0000
[Message part 1 (text/plain, inline)]
On Tue, Mar 22, 2011 at 11:45:13PM +0100, Julien Cristau wrote:
> On Tue, Mar 22, 2011 at 23:32:03 +0100, Robert Luberda wrote:
> > Cyril Brulebois writes:
> > > your package FTBFS everywhere:
> > 
> > I compiled it successfully before uploading.
> > 
> > > | /usr/bin/make -f debian/rules american.xxl+.mwl british.xxl+.mwl
> > > | make[2]: *** No rule to make target `/usr/share/dict/american-english-insane', needed by `american.xxl+.mwl'.  Stop.
> > 
> > The file is provided by wamerican-insane, which is mentioned in
> > Build-Depends-Indep, however the package wasn't installed.
> > 
> > Quoting the Debian Policy, chapter 7.7:
> > 
> >   build, build-indep, binary, and binary-indep
> > 
> >      The Build-Depends, Build-Conflicts, Build-Depends-Indep, and
> > Build-Conflicts-Indep fields must be satisfied when these targets are
> > invoked.
> > 
> Policy disagrees with reality (longstanding issue).  Packages needed for
> the 'build' target need to be in Build-Depends.

Just for the record, sbuild implements the following behaviour:

Build-Depends and Build-Conflicts are installed for all builds.
Build-Depends-Indep and Build-Conflicts-Indep are additionally
installed when building Architecture: all packages with --arch-all
(which the buildds don't currently do, but sbuild supports).

Should we wish to bring our behaviour in line with Policy, the apt
and aptitude resolver code can be easily altered to do this.

dpkg-buildpackage not supporting build-arch and build-indep in any form
is the major blocker to sanely supporting Build-Depends-Indep, because
it is still using the build target rather than the appropriate
build-(arch|indep) targets.  There are (very) old bugs about this;
having it fully fixed for wheezy should be a release goal IMO--it's an
old and important defect we should just get fixed.

If you're not building arch-all packages, then I don't think it's
legitimate to call build-indep and binary-indep, and hence to have the
-Indep packages installed.  However, dpkg-buildpackage using the wrong
targets needs fixing first.


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#619284; Package ispell. (Fri, 25 Mar 2011 20:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Luberda <robert@debian.org>:
Extra info received and forwarded to list. (Fri, 25 Mar 2011 20:39:12 GMT) Full text and rfc822 format available.

Message #39 received at 619284@bugs.debian.org (full text, mbox):

From: Robert Luberda <robert@debian.org>
To: Roger Leigh <rleigh@codelibre.net>, 619284@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, Cyril Brulebois <kibi@debian.org>, control@bugs.debian.org
Subject: Re: Bug#619284: [buildd-tools-devel] Bug#619284: ispell: FTBFS: No rule to make target `…/american-english-insane', needed by `american.xxl+.mwl'
Date: Fri, 25 Mar 2011 21:30:49 +0100
reassign 619284 debian-policy
retitle 619284 Chapter 7.7 of the Policy disagrees with reality
affects 619284 -ispell
thanks

>>> Quoting the Debian Policy, chapter 7.7:
>>>
>>>   build, build-indep, binary, and binary-indep
>>>
>>>      The Build-Depends, Build-Conflicts, Build-Depends-Indep, and
>>> Build-Conflicts-Indep fields must be satisfied when these targets are
>>> invoked.
>>>

I implemented a work-around in ispell 3.3.02-3, so the bug no longer
affects ispell. But the issue still exists, and I think it's the Policy
to blame of it in the first place. Build-*Indep fields are pretty much
useless if build-arch and build-indep targets are optional - and I
believe this should be fixed in Policy:
 - by making the build-arch, build-indep obligatory for all packages or
at least for those source packages that provide architecture dependent
and independent binaries (in such a case dpkg-dev or sbuild could use
value of Standards-Version to determine if build-arch is available)
 - or possibly by requiring packages to provide somewhere information
about optional debian/rules targets that it implements (see #229357).
 - or by removing the -Indep fields (the worst option IMHO).


Roger Leigh writes:
> dpkg-buildpackage not supporting build-arch and build-indep in any form
> is the major blocker to sanely supporting Build-Depends-Indep, because
> it is still using the build target rather than the appropriate
> build-(arch|indep) targets.  There are (very) old bugs about this;
> having it fully fixed for wheezy should be a release goal IMO--it's an
> old and important defect we should just get fixed.

I fully second this goal.

Regards,
robert





Bug reassigned from package 'ispell' to 'debian-policy'. Request was from Robert Luberda <robert@debian.org> to control@bugs.debian.org. (Fri, 25 Mar 2011 20:39:20 GMT) Full text and rfc822 format available.

Changed Bug title to 'Chapter 7.7 of the Policy disagrees with reality' from 'Doesn't install Build-Depends-Indep for build target' Request was from Robert Luberda <robert@debian.org> to control@bugs.debian.org. (Fri, 25 Mar 2011 20:39:20 GMT) Full text and rfc822 format available.

Removed indication that 619284 affects ispell Request was from Robert Luberda <robert@debian.org> to control@bugs.debian.org. (Fri, 25 Mar 2011 20:39:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619284; Package debian-policy. (Fri, 25 Mar 2011 20:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 25 Mar 2011 20:54:03 GMT) Full text and rfc822 format available.

Message #50 received at 619284@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Robert Luberda <robert@debian.org>
Cc: Roger Leigh <rleigh@codelibre.net>, 619284@bugs.debian.org, Julien Cristau <jcristau@debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Chapter 7.7 of the Policy disagrees with reality
Date: Fri, 25 Mar 2011 15:51:43 -0500
forcemerge 604397 619284
quit

Hi,

Robert Luberda wrote:

> reassign 619284 debian-policy

(For the future: please remember that debbugs does not automatically
cc your message to the package you are reassigning to.)

> I implemented a work-around in ispell 3.3.02-3, so the bug no longer
> affects ispell. But the issue still exists, and I think it's the Policy
> to blame of it in the first place. Build-*Indep fields are pretty much
> useless if build-arch and build-indep targets are optional - and I
> believe this should be fixed in Policy:

Yes, I strongly agree.

>  - by making the build-arch, build-indep obligatory for all packages or
> at least for those source packages that provide architecture dependent
> and independent binaries (in such a case dpkg-dev or sbuild could use
> value of Standards-Version to determine if build-arch is available)

See [1] and [2] for some summaries of the current status.  The
particular migration path you propose seems problematic since it ties
this transition with other ones, and Raphaël Hertzog has indicated he
does not want to use it for that reason.

But have no fear!  There are many other possible migration paths
without that problem.

>  - or possibly by requiring packages to provide somewhere information
> about optional debian/rules targets that it implements (see #229357).

I've been convinced this (a Build-Options field) is the fastest safe
way to make the change.  I don't think there is any need to wait on
policy to implement it in dpkg fwiw.  (The point where policy is
relevant is deploying in the archive.)

>  - or by removing the -Indep fields (the worst option IMHO).

I don't think anyone considers that an option.

Another migration path (slower but possible to carry out in parallel
with the above) would be:

 1. dpkg-buildpackage learns a --force-build-arch (better names
    welcome) option for the operator to use to declare that yes,
    this package has a build-arch target that should be used;

 2. Packagers voluntarily start adding build-arch and build-indep
    targets following the current policy.

 3. This becomes a "best practice", probably documented by devref.

 4. Once critical mass is reached, it becomes mandated by policy
    and the default on dpkg-buildpackage changes to
    --force-build-arch.

Hope that helps,
Jonathan

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=446;bug=229357
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=40;bug=604397




Forcibly Merged 604397 619284. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 25 Mar 2011 20:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619284; Package debian-policy. (Fri, 25 Mar 2011 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 25 Mar 2011 22:15:03 GMT) Full text and rfc822 format available.

Message #57 received at 619284@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Robert Luberda <robert@debian.org>
Cc: Roger Leigh <rleigh@codelibre.net>, 619284@bugs.debian.org, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#619284: [buildd-tools-devel] Bug#619284: ispell: FTBFS: No rule to make target `…/american-english-insane', needed by `american.xxl+.mwl'
Date: Fri, 25 Mar 2011 23:11:27 +0100
On Fri, Mar 25, 2011 at 21:30:49 +0100, Robert Luberda wrote:

> I implemented a work-around in ispell 3.3.02-3, so the bug no longer
> affects ispell. But the issue still exists, and I think it's the Policy
> to blame of it in the first place. Build-*Indep fields are pretty much
> useless if build-arch and build-indep targets are optional - and I
> believe this should be fixed in Policy:

Well that's not true, plenty of packages successfully use
Build-Depends-Indep (by doing the work from binary instead of build).
Yes, it's suboptimal, but it doesn't make Build-Depends-Indep useless.

And reassigning this bug to policy is just pointless when there's
already years old bugs about this same issue and a lot more discussion
and info.  This bug was about your package not building, nothing else.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#619284; Package debian-policy. (Fri, 25 Mar 2011 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Luberda <robert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 25 Mar 2011 23:48:03 GMT) Full text and rfc822 format available.

Message #62 received at 619284@bugs.debian.org (full text, mbox):

From: Robert Luberda <robert@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Roger Leigh <rleigh@codelibre.net>, 619284@bugs.debian.org, Julien Cristau <jcristau@debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Chapter 7.7 of the Policy disagrees with reality
Date: Sat, 26 Mar 2011 00:45:50 +0100
Jonathan Nieder writes:

> 
> (For the future: please remember that debbugs does not automatically
> cc your message to the package you are reassigning to.)

Yes, I'm always forgetting to add CC, sorry about this.
> 
>>  - by making the build-arch, build-indep obligatory for all packages or
>> at least for those source packages that provide architecture dependent
>> and independent binaries (in such a case dpkg-dev or sbuild could use
>> value of Standards-Version to determine if build-arch is available)
> 
> See [1] and [2] for some summaries of the current status.  The
> particular migration path you propose seems problematic since it ties
> this transition with other ones, and Raphaël Hertzog has indicated he
> does not want to use it for that reason.

That's a pity. It was my favourite option, easy to implement both in
dpkg and in  packages, since for plenty of them build-arch and
build-indep would be the same as build. So this transition would be a
one-line change in debian/rules, unless somebody actually cared about
splitting the architecture dependent stuff from the independent stuff in
their package. Requiring the targets only for packages that actually
provides both arch:all and arch:any (or in fact
arch:anything-except-all) would make the transition less painful. Also,
it's worth noticing that more and more packages use the tiny debhelper
rules format, which already supports the optional build-* targets.

> 
>>  - or possibly by requiring packages to provide somewhere information
>> about optional debian/rules targets that it implements (see #229357).
> 
> I've been convinced this (a Build-Options field) is the fastest safe
> way to make the change.  I don't think there is any need to wait on
> policy to implement it in dpkg fwiw.  (The point where policy is
> relevant is deploying in the archive.)

I'm less convinced, but it's OK, as it certainly solves the original
issue I had with ispell and auto-builders.

> 
> Another migration path (slower but possible to carry out in parallel
> with the above) would be:
> 
>  1. dpkg-buildpackage learns a --force-build-arch (better names
>     welcome) option for the operator to use to declare that yes,
>     this package has a build-arch target that should be used;

> 
>  2. Packagers voluntarily start adding build-arch and build-indep
>     targets following the current policy.

Following the current policy would be impossible (I've tried to do this
recently with ispell package) unless packagers had a way to force the
--force-build-arch on auto-builders (via debian/source/options
possibly?). Forcing the --force-build-arch however is pretty much the
same solution as that one with Build-Options.


Regards,
robert




Forcibly Merged 374029 604397 619284. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 04 Apr 2011 02:54:04 GMT) Full text and rfc822 format available.

Added indication that bug 619284 blocks 572750 Request was from Stéphane Glondu <glondu@debian.org> to control@bugs.debian.org. (Sun, 24 Apr 2011 12:42:04 GMT) Full text and rfc822 format available.

Forcibly Merged 345619 374029 604397 619284. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Sun, 15 May 2011 08:27:07 GMT) Full text and rfc822 format available.

Disconnected #604397 from all other report(s). Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Mon, 06 Jun 2011 09:18:19 GMT) Full text and rfc822 format available.

Merged 345619 374029 604397 619284. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Mon, 06 Jun 2011 09:18:24 GMT) Full text and rfc822 format available.

Added tag(s) pending; removed tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 27 Aug 2012 15:33:05 GMT) Full text and rfc822 format available.

Message #75 received at 374029-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 374029-close@bugs.debian.org
Subject: Bug#374029: fixed in debian-policy 3.9.4.0
Date: Wed, 19 Sep 2012 06:32:10 +0000
Source: debian-policy
Source-Version: 3.9.4.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 374029@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 18 Sep 2012 21:35:36 -0700
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.9.4.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 374029 571776 591791 641153 654958 661816 661933 663918 670429 676561
Changes: 
 debian-policy (3.9.4.0) unstable; urgency=low
 .
   * build-arch and build-indep are now mandatory targets in debian/rules,
     implementing the Technical Committee ruling in #629385.  Wording
     review by Jonathan Nieder, Jakub Wilk, and Roger Leigh.
     (Closes: #374029)
   * Resynchronize the archive section list with ftp-master, adding tasks.
     Patch from Charles Plessy.  (Closes: #670429)
   * Policy: Copyright files must be encoded in UTF-8
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Salvatore Bonaccorso <carnil@debian.org>
     Seconded: Simon McVittie <smcv@debian.org>
     Closes: #661933
   * Policy: Prohibit deprecated < and > relations
     Wording: Jakub Wilk <jwilk@debian.org>
     Seconded: Cyril Brulebois <kibi@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Closes: #663918
   * Policy: Document the Built-Using field
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Ansgar Burchardt <ansgar@debian.org>
     Closes: #641153
   * Policy: Document the Vcs-* fields
     Wording: Charles Plessy <plessy@debian.org>
     Wording: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #654958
   * Policy: Document restrictions on the use of /run for wheezy
     Wording: Roger Leigh <rleigh@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Closes: #676561
   * Policy: Rewrite shared library dependency policy to document symbols
     Wording: Russ Allbery <rra@debian.org>
     Wording: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Closes: #571776
   * Policy: Document generic and upstart-specific init system requirements
     Wording: Steve Langasek <steve.langasek@canonical.com>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Adam D. Barratt <adam@adam-barratt.org.uk>
     Closes: #591791
   * Policy: Rely on triggers instead of calling update-mime
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #661816
Checksums-Sha1: 
 c728495994bbdabc43055dfbedfd662bba5eb069 1518 debian-policy_3.9.4.0.dsc
 4c6bc2d0eb510313e1b4a0d2a932f4182ffe6f91 704838 debian-policy_3.9.4.0.tar.gz
 ac9ff5a5987343a736fb45af52d3178bae30d37e 2147892 debian-policy_3.9.4.0_all.deb
Checksums-Sha256: 
 c6dbad5976931268283c02903cf0dc3f3bb8dfc86710cab462e0e6c19aab1407 1518 debian-policy_3.9.4.0.dsc
 01ae1a19f7a251dd5c2b078736427f33f04c5f7e38308f874345f1e3e194dca5 704838 debian-policy_3.9.4.0.tar.gz
 c6e22f66e4cd38cbfac944bfebb41fa5608604326c6ecb9dbbd2213f5372ebbd 2147892 debian-policy_3.9.4.0_all.deb
Files: 
 e5683a409d1f740582e960158152b4ba 1518 doc optional debian-policy_3.9.4.0.dsc
 33eafa60a7c79f827adaa1bdb0cdcf83 704838 doc optional debian-policy_3.9.4.0.tar.gz
 2c5c278e5035e26489c3ae76f8c428d2 2147892 doc optional debian-policy_3.9.4.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQWVEqAAoJEH2AMVxXNt51CfcH/226voYDWjhFjwJJh61d0XBI
3JRRYNqF7rZ59zl4kwEX+QFe/CoKnX1rEceBb9g3cCJ/AO6vU8Z+hhGnpr4eus1v
2BKhO4E8S6vqjtWfiXHIUmkIlGQeuxY3aBMWNZPgQzqEz9Skrc3aDel3zuuiKehE
fTk8Kse0hwTGp5h9nVaXawdZEPKFhcQT2NrhhTE/VmTHuC1EzUTcjOUDeu8tM2xy
r6Zjytz43qqvWinUQNYQXOtjt2zAVV0dw6T9nWcssXOSTD1EZLbfAbaJw9m1VG6G
B9BRhz5xs334/DktrgDw2gKjb4IF2tI3lIPRj12OuGErR+lChgZr4egrA+xyBwM=
=SP2c
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 07:49:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 15:56:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.